//
//  SCAdPlaylistSetup.h
//  SmartclipSDKiOS
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@class SCAdVariants;

/// VMAP Ad playlist configuration for the upcoming content video.
/// Can be used to configure different variant clips for pre-, mid- and postroll
/// adSlots of a VMAP playlist
@interface SCAdPlaylistSetup : NSObject
/// Initialiser to configure different variants for pre-, mid- and postroll
- (instancetype)initWithAdTag:(nonnull NSString*)adTag
                      preroll:(nullable SCAdVariants*)preroll
                      midroll:(nullable SCAdVariants*)midroll
                     postroll:(nullable SCAdVariants*)postroll;
@end

NS_ASSUME_NONNULL_END
